    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.net.ContentHandlerFactory

public interface ContentHandlerFactory

This interface defines a factory for content handlers. An implementation of this interface should map a MIME type into an instance of `ContentHandler`.

This interface is used by the `URLStreamHandler` class to create a `ContentHandler` for a MIME type.

See Also:
  ContentHandler, URLStreamHandler

##

createContentHandler(String)
  Creates a new `ContentHandler` to read an object from a `URLStreamHandler`.

##

createContentHandler

     public abstract ContentHandler createContentHandler(String mimetype)

  Creates a new `ContentHandler` to read an object from a `URLStreamHandler`.

  Parameters:
    mimetype - the MIME type for which a content handler is desired.
  Returns:
    a new `ContentHandler` to read an object from a `URLStreamHandler`.
  See Also:
    ContentHandler, URLStreamHandler

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.